﻿## History of changes for WinPython 3.4.4.2



The following changes were made to WinPython distribution since version 3.4.4.1.



### Python packages



New packages:



  * [docrepr](http://pypi.python.org/pypi/docrepr) 0.1.0 (docrepr renders Python docstrings in HTML.)

  * [imagesize](http://pypi.python.org/pypi/imagesize) 0.7.0 ()

  * [lasagne](http://pypi.python.org/pypi/lasagne) 0.2.dev1 (neural network tools for Theano)

  * [mkl-service](https://github.com/ContinuumIO/mkl-service) 1.1.2 (Python bindings to some MKL service functions)

  * [mpmath](http://pypi.python.org/pypi/mpmath) 0.19 (Python library for arbitrary-precision floating-point arithmetic)

  * [pymc3](http://pypi.python.org/pypi/pymc3) 3.0 (Markov Chain Monte Carlo sampling toolkit.)

  * [pythonnet](http://pypi.python.org/pypi/pythonnet) 2.1.0 (.Net and Mono integration for Python)

  * [scikit-neuralnetwork](http://pypi.python.org/pypi/scikit-neuralnetwork) 0.7 (Deep neural networks without the learning cliff! A wrapper library compatible with scikit-learn.)

  * [wordcloud](http://pypi.python.org/pypi/wordcloud) 1.2.1 (A little word cloud generator)



Upgraded packages:



  * [astroid](http://pypi.python.org/pypi/astroid) 1.4.4 → 1.4.5 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

  * [blosc](http://pypi.python.org/pypi/blosc) 1.2.8 → 1.3.0 (Blosc data compressor)

  * [bqplot](http://pypi.python.org/pypi/bqplot) 0.5.1 → 0.5.5 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [castra](http://pypi.python.org/pypi/castra) 0.1.6 → 0.1.7 (On-disk partitioned store)

  * [certifi](http://pypi.python.org/pypi/certifi) 2015.11.20.1 → 2016.2.28 (Python package for providing Mozilla's CA Bundle.)

  * [cffi](http://pypi.python.org/pypi/cffi) 1.5.0 → 1.5.2 (Foreign Function Interface for Python calling C code.)

  * [click](http://pypi.python.org/pypi/click) 6.2 → 6.6 (A simple wrapper around optparse for powerful command line utilities.)

  * [cloudpickle](http://pypi.python.org/pypi/cloudpickle) 0.1.1 → 0.2.1 (Extended pickling support for Python objects)

  * [colorama](http://pypi.python.org/pypi/colorama) 0.3.5 → 0.3.7 (Cross-platform colored terminal text)

  * [cycler](http://pypi.python.org/pypi/cycler) 0.9.0 → 0.10.0 (Composable style cycles)

  * [cyordereddict](http://pypi.python.org/pypi/cyordereddict) 0.2.2 → 1.0.0 (Cython implementation of Python's collections.OrderedDict)

  * [cython](http://www.cython.org) 0.23.4 → 0.24 (Cython is a language that makes writing C extensions for the Python language as easy as Python)

  * [cytoolz](http://pypi.python.org/pypi/cytoolz) 0.7.4 → 0.7.5 (Cython implementation of Toolz: High performance functional utilities)

  * [dask](http://pypi.python.org/pypi/dask) 0.7.6 → 0.8.1 (Minimal task scheduling abstraction)

  * [decorator](http://pypi.python.org/pypi/decorator) 4.0.6 → 4.0.7 (Better living through Python with decorators)

  * [dill](http://pypi.python.org/pypi/dill) 0.2.4 → 0.2.5 (serialize all of python (almost))

  * [holoviews](http://pypi.python.org/pypi/holoviews) 1.4.1 → 1.4.3 (Composable, declarative data structures for building complex visualizations easily.)

  * [ipykernel](http://pypi.python.org/pypi/ipykernel) 4.2.2 → 4.3.1 (IPython Kernel for Jupyter)

  * [ipyparallel](http://pypi.python.org/pypi/ipyparallel) 5.0.0 → 5.0.1 (Interactive Parallel Computing with IPython)

  * [ipython](http://pypi.python.org/pypi/ipython) 4.1.1 → 4.1.2 (Enhanced Python shell)

  * [jupyter-client](http://pypi.python.org/pypi/jupyter-client) 4.1.1 → 4.2.2 (Jupyter metapackage. Install all the Jupyter components in one go.)

  * [jupyter-console](http://pypi.python.org/pypi/jupyter-console) 4.1.0 → 4.1.1 (Jupyter metapackage. Install all the Jupyter components in one go.)

  * [jupyter-core](http://pypi.python.org/pypi/jupyter-core) 4.0.6 → 4.1.0 (Jupyter metapackage. Install all the Jupyter components in one go.)

  * [keras](http://pypi.python.org/pypi/keras) 0.3.1 → 0.3.3 (Theano-based Deep Learning library)

  * [llvmlite](http://pypi.python.org/pypi/llvmlite) 0.6.0 → 0.10.0 (lightweight wrapper around basic LLVM functionality)

  * [lmfit](http://pypi.python.org/pypi/lmfit) 0.9.2 → 0.9.3 (Least-Squares Minimization with Bounds and Constraints)

  * [lxml](http://pypi.python.org/pypi/lxml) 3.5.0 → 3.6.0 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [markdown](http://pypi.python.org/pypi/markdown) 2.6.5 → 2.6.6 (Python implementation of Markdown.)

  * [mistune](http://pypi.python.org/pypi/mistune) 0.7.1 → 0.7.2 (The fastest markdown parser in pure Python, inspired by marked.)

  * [netcdf4](http://pypi.python.org/pypi/netcdf4) 1.2.2 → 1.2.3.1 (python/numpy interface to netCDF library (versions 3 and 4))

  * [networkx](http://pypi.python.org/pypi/networkx) 1.10 → 1.11 (Python package for creating and manipulating graphs and networks)

  * [nltk](http://pypi.python.org/pypi/nltk) 3.0.5 → 3.2 (The Natural Language Toolkit (NLTK) is a Python package for natural language processing.)

  * [numba](http://pypi.python.org/pypi/numba) 0.20.0 → 0.25.0 (compiling Python code using LLVM)

  * [numexpr](http://pypi.python.org/pypi/numexpr) 2.4.6 → 2.5.1 (Fast evaluation of array expressions elementwise by using a vector-based virtual machine)

  * [numpydoc](http://pypi.python.org/pypi/numpydoc) 0.5 → 0.6.0 (Sphinx extension to support docstrings in Numpy format)

  * [oct2py](http://pypi.python.org/pypi/oct2py) 3.4.0 → 3.5.3 (Python to GNU Octave bridge --> run m-files from python.)

  * [odo](http://pypi.python.org/pypi/odo) 0.4.1 → 0.4.2 (Data migration in Python)

  * [pandas](http://pypi.python.org/pypi/pandas) 0.17.1 → 0.18.0 (Powerful data structures for data analysis, time series and statistics)

  * [pg8000](http://pypi.python.org/pypi/pg8000) 1.10.2 → 1.10.5 (PostgreSQL interface library)

  * [pillow](http://pypi.python.org/pypi/pillow) 3.1.1 → 3.2.0 (Python Imaging Library (fork))

  * [pip](http://pypi.python.org/pypi/pip) 8.0.2 → 8.1.1 (A tool for installing and managing Python packages)

  * [prompt-toolkit](http://pypi.python.org/pypi/prompt-toolkit) 0.57 → 0.60 (Library for building powerful interactive command lines in Python)

  * [psutil](http://code.google.com/p/psutil) 3.4.2 → 4.1.0 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [ptpython](http://pypi.python.org/pypi/ptpython) 0.28 → 0.32 (Python REPL build on top of prompt_toolkit)

  * [pyflakes](http://pypi.python.org/pypi/pyflakes) 0.9.2 → 1.1.0 (passive checker of Python programs)

  * [pygments](http://pygments.org) 2.1 → 2.1.3 (Generic syntax highlighter for general use in all kinds of software)

  * [pylint](http://www.logilab.org/project/pylint) 1.5.4 → 1.5.5 (Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality)

  * [pymongo](http://pypi.python.org/pypi/pymongo) 3.2 → 3.2.2 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyopengl](http://pyopengl.sourceforge.net) 3.1.1b1 → 3.1.1 (Cross platform Python binding to OpenGL and related APIs)

  * [pyparsing](http://pyparsing.wikispaces.com/) 2.0.7 → 2.1.0 (A Python Parsing Module)

  * [pytest](http://pypi.python.org/pypi/pytest) 2.8.5 → 2.9.1 (pytest: simple powerful testing with Python)

  * [python-dateutil](http://labix.org/python-dateutil) 2.4.2 → 2.5.1 (Powerful extensions to the standard datetime module)

  * [pytz](http://pypi.python.org/pypi/pytz) 2015.7 → 2016.3 (World Timezone Definitions for Python)

  * [qtawesome](http://pypi.python.org/pypi/qtawesome) 0.2.0 → 0.3.3 (FontAwesome icons in PyQt and PySide applications)

  * [qtconsole](http://pypi.python.org/pypi/qtconsole) 4.1.1 → 4.2.1 (Jupyter Qt console)

  * [qtpy](http://pypi.python.org/pypi/qtpy) 0.1.3 → 1.0 (Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.)

  * [reportlab](http://www.reportlab.org) 3.2.0 → 3.3.0 (The PDF generation library)

  * [requests-toolbelt](http://pypi.python.org/pypi/requests-toolbelt) 0.5.1 → 0.6.0 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [rx](http://pypi.python.org/pypi/rx) 1.2.4 → 1.2.6 (Reactive Extensions (Rx) for Python)

  * [scikit-image](http://pypi.python.org/pypi/scikit-image) 0.11.3 → 0.12.3 (Image processing toolbox for SciPy)

  * [scikit-learn](http://pypi.python.org/pypi/scikit-learn) 0.17 → 0.17.1 (A set of Python modules for machine learning and data mining)

  * [setuptools](http://pypi.python.org/pypi/setuptools) 19.6.2 → 20.6.7 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [simplejson](http://pypi.python.org/pypi/simplejson) 3.8.1 → 3.8.2 (Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder)

  * [sphinx](http://pypi.python.org/pypi/sphinx) 1.3.5 → 1.4 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sqlalchemy](http://www.sqlalchemy.org) 1.0.11 → 1.0.12 (SQL Toolkit and Object Relational Mapper)

  * [sqlite-bro](http://pypi.python.org/pypi/sqlite-bro) 0.8.10 → 0.8.11 (a graphic SQLite Client in 1 Python file)

  * [sqlparse](http://pypi.python.org/pypi/sqlparse) 0.1.18 → 0.1.19 (Non-validating SQL parser)

  * [sympy](http://pypi.python.org/pypi/sympy) 0.7.6.1 → 1.0 (Symbolic Mathematics Library)

  * [theano](http://pypi.python.org/pypi/theano) 0.7.0 → 0.8.1 (Optimizing compiler for evaluating mathematical expressions on CPUs and GPUs.)

  * [traitlets](http://pypi.python.org/pypi/traitlets) 4.1.0 → 4.2.1 (Traitlets Python config system)

  * [werkzeug](http://pypi.python.org/pypi/werkzeug) 0.11.3 → 0.11.4 (The Swiss Army knife of Python web development)

  * [wheel](http://pypi.python.org/pypi/wheel) 0.26.0 → 0.29.0 (A built-package format for Python.)

  * [winpython](http://winpython.github.io/) 1.3 → 1.5.20160402 (WinPython distribution tools, including WPPM (package manager))

  * [wrapt](http://pypi.python.org/pypi/wrapt) 1.10.6 → 1.10.7 (A Python module for decorators, wrappers and monkey patching.)

  * [xarray](http://pypi.python.org/pypi/xarray) 0.7.0 → 0.7.2 (N-D labeled arrays and datasets in Python)



* * *

